llvm-gfortran

Hello folks,

I want to compile some fortran code to IR, but llvm-gfortran 4.2-2.9 does compile my fortran code. gfortran 4.2.1 fail with the same error. but gfortran 4.4.6 and ifort compiles fine. Attached is the file causing error. Error message is

m_List.F90: In function ‘exporttostring_’:

m_List.F90:925: error: conversion to non-scalar type requested

I wonder if there any way I can get upgrade the gfortran part of llvm-gfortran? If any, I will go with that, otherwise I will try dragonegg.

thank you
yuanfang

m_List.F90 (61.5 KB)

dragonegg is definitely the way to go here; you can't just throw
together pieces of gcc 4.4 and gcc 4.2.

-Eli

thanks, Eli. I’ll try that.